Bug 36553

Summary: [Qt] Missing QWebSettings for Frame Flattening
Product: WebKit Reporter: Jesus Sanchez-Palencia <jesus>
Component: New BugsAssignee: Jesus Sanchez-Palencia <jesus>
Status: CLOSED FIXED    
Severity: Normal CC: commit-queue, eric, hausmann, kenneth, ossy, tonikitoo
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 35784, 36558    
Attachments:
Description Flags
Patch none

Description Jesus Sanchez-Palencia 2010-03-24 13:50:21 PDT
[Qt] Missing QWebSettings for Frame Flattening
Comment 1 Jesus Sanchez-Palencia 2010-03-24 13:54:58 PDT
Created attachment 51539 [details]
Patch
Comment 2 Jesus Sanchez-Palencia 2010-03-24 15:03:16 PDT
This same setting will also set iFrame Flattening when available.
Comment 3 Kenneth Rohde Christiansen 2010-03-24 15:12:19 PDT
Looks good, but it would be nice if one from the doc team could review the documentation.

Simon, could you get one to do that?
Comment 4 Jesus Sanchez-Palencia 2010-03-24 15:15:50 PDT
(In reply to comment #3)
> Looks good, but it would be nice if one from the doc team could review the
> documentation.
> 
> Simon, could you get one to do that?

Yes, this would be nice. Also I noticed that documentation for QWebSettings:WebGL is missing. Should I open a bug report for that or the doc team is working on this?!

thanks for the review!
Comment 5 WebKit Commit Bot 2010-03-24 17:02:45 PDT
Comment on attachment 51539 [details]
Patch

Clearing flags on attachment: 51539

Committed r56473: <http://trac.webkit.org/changeset/56473>
Comment 6 WebKit Commit Bot 2010-03-24 17:02:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Csaba Osztrogon√°c 2010-03-25 00:42:53 PDT
Guys, you broke ( but most of all fix :) ) fast/frames/flattening/frameset-flattening-grid.html with this patch
http://build.webkit.org/results/Qt%20Linux%20Release/r56474%20%289010%29/results.html

Could you update the platform specific expected file if the new result is correct?
Comment 8 Antonio Gomes 2010-03-25 08:25:01 PDT
(In reply to comment #7)
> Guys, you broke ( but most of all fix :) )
> fast/frames/flattening/frameset-flattening-grid.html with this patch
> http://build.webkit.org/results/Qt%20Linux%20Release/r56474%20%289010%29/results.html
> 
> Could you update the platform specific expected file if the new result is
> correct?

diego found the problem, got a patch, kenneth reviewed and i landed.

r56547
Comment 9 Eric Seidel (no email) 2010-03-25 11:59:56 PDT
(In reply to comment #8)
> (In reply to comment #7)
> > Guys, you broke ( but most of all fix :) )
> > fast/frames/flattening/frameset-flattening-grid.html with this patch
> > http://build.webkit.org/results/Qt%20Linux%20Release/r56474%20%289010%29/results.html
> > 
> > Could you update the platform specific expected file if the new result is
> > correct?
> 
> diego found the problem, got a patch, kenneth reviewed and i landed.
> 
> r56547

Leopard is still broken.

The patch you committed did not reference this bug. :(
Comment 10 Csaba Osztrogon√°c 2010-03-25 12:43:47 PDT
(In reply to comment #9)
> Leopard is still broken.
> 
> The patch you committed did not reference this bug. :(
Needless newline removed by http://trac.webkit.org/changeset/56561
and Leopard is green again.
Comment 11 Simon Hausmann 2010-03-26 05:41:00 PDT
cherry-pick-for-backport: <r56547>
cherry-pick-for-backport: <r56561>
Comment 12 Simon Hausmann 2010-03-26 05:42:13 PDT
cherry-pick-for-backport: <r56561>
Comment 13 Simon Hausmann 2010-03-26 06:29:56 PDT
cherry-pick-for-backport: <r56557>
Comment 14 Simon Hausmann 2010-03-26 07:04:59 PDT
Revision r56473 cherry-picked into qtwebkit-2.0 with commit 289b7bf993b1cb6c896142c868c674925182a197
Comment 15 Simon Hausmann 2010-03-26 07:05:09 PDT
Revision r56547 cherry-picked into qtwebkit-2.0 with commit c4fe1ca4a566b93a2f35a0d112fc1b2da12ba2dc
Comment 16 Simon Hausmann 2010-03-26 07:05:18 PDT
Revision r56557 cherry-picked into qtwebkit-2.0 with commit 9b559418e4e199551fb30218390d03e596f80f9b
Comment 17 Simon Hausmann 2010-03-26 07:05:29 PDT
Revision r56561 cherry-picked into qtwebkit-2.0 with commit 1989edbb25a211a0638ff8369999e02d254c8630